Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#62808 - [python-tornado] 6.0.2-1 breaks jupyter-nbconvert

Attached to Project: Community Packages
Opened by Haochen Tong (hexchain) - Tuesday, 04 June 2019, 08:59 GMT
Last edited by Chih-Hsuan Yen (yan12125) - Tuesday, 04 June 2019, 09:17 GMT
Task Type Bug Report
Category Packages
Status Assigned
Assigned To Kyle Keen (keenerd)
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 0%
Votes 0
Private No

Details

Description:

community/jupyter-nbconvert 5.4-1 does not work with community-testing/python-tornado 6.0.2-1:

[E 10:54:00.017 NotebookApp] Uncaught exception GET /notebooks/Projects/LDP/LDP-Copy1.ipynb (::1)
HTTPServerRequest(protocol='http', host='localhost:8889', method='GET', uri='/notebooks/Projects/LDP/LDP-Copy1.ipynb', version='HTTP/1.1', remote_ip='::1')
Traceback (most recent call last):
File "/usr/lib/python3.7/site-packages/tornado/web.py", line 1697, in _execute
result = method(*self.path_args, **self.path_kwargs)
File "/usr/lib/python3.7/site-packages/tornado/web.py", line 3174, in wrapper
return method(self, *args, **kwargs)
File "/usr/lib/python3.7/site-packages/notebook/notebook/handlers.py", line 59, in get
get_custom_frontend_exporters=get_custom_frontend_exporters
File "/usr/lib/python3.7/site-packages/notebook/base/handlers.py", line 519, in render_template
return template.render(**ns)
File "/usr/lib/python3.7/site-packages/jinja2/asyncsupport.py", line 76, in render
return original_render(self, *args, **kwargs)
File "/usr/lib/python3.7/site-packages/jinja2/environment.py", line 1008, in render
return self.environment.handle_exception(exc_info, True)
File "/usr/lib/python3.7/site-packages/jinja2/environment.py", line 780, in handle_exception
reraise(exc_type, exc_value, tb)
File "/usr/lib/python3.7/site-packages/jinja2/_compat.py", line 37, in reraise
raise value.with_traceback(tb)
File "/usr/lib/python3.7/site-packages/notebook/templates/notebook.html", line 1, in top-level template code
{% extends "page.html" %}
File "/usr/lib/python3.7/site-packages/notebook/templates/page.html", line 154, in top-level template code
{% block header %}
File "/usr/lib/python3.7/site-packages/notebook/templates/notebook.html", line 120, in block "header"
{% for exporter in get_custom_frontend_exporters() %}
File "/usr/lib/python3.7/site-packages/notebook/notebook/handlers.py", line 19, in get_custom_frontend_exporters
from nbconvert.exporters.base import get_export_names, get_exporter
File "/usr/lib/python3.7/site-packages/nbconvert/__init__.py", line 7, in <module>
from . import postprocessors
File "/usr/lib/python3.7/site-packages/nbconvert/postprocessors/__init__.py", line 5, in <module>
from .serve import ServePostProcessor
File "/usr/lib/python3.7/site-packages/nbconvert/postprocessors/serve.py", line 19, in <module>
class ProxyHandler(web.RequestHandler):
File "/usr/lib/python3.7/site-packages/nbconvert/postprocessors/serve.py", line 21, in ProxyHandler
@web.asynchronous
AttributeError: module 'tornado.web' has no attribute 'asynchronous'

Steps to reproduce:

1. Open any .ipynb in Jupyter notebook.
This task depends upon

Comment by Chih-Hsuan Yen (yan12125) - Tuesday, 04 June 2019, 09:19 GMT
As a record, upstream dev said that the issue is fixed in nbconvert 5.4.1: https://github.com/jupyter/nbconvert/issues/894#issuecomment-470039766
Comment by Kyle Keen (keenerd) - Wednesday, 05 June 2019, 01:46 GMT
Updated nbconvert to 5.5.0. It works for me now. You?

Loading...